<?php
/**
 * Created by PhpStorm.
 * User: stanley-king
 * Date: 2017/3/23
 * Time: 下午3:37
 */

namespace search;

require_once(BASE_ROOT_PATH . '/helper/area/area_upgrade.php');
require_once(BASE_ROOT_PATH . '/helper/area/area_check.php');
require_once(BASE_ROOT_PATH . '/helper/area/area_validator.php');

class area_library
{
    private static $stInstance = null;
    private $mValidator;

    private function __construct()
    {
        $this->mValidator = new \area\area_validator('area');
    }

    public static function instance() {
        if(self::$stInstance == null) {
            self::$stInstance = new area_library();
        }
        return self::$stInstance->mValidator;
    }
}